Bug 580676 - CVE-2010-0098 CVE-2010-1311 Multiple clamav vulnerabilities [Fedora all]
Summary: CVE-2010-0098 CVE-2010-1311 Multiple clamav vulnerabilities [Fedora all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 14
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL: http://fedoraproject.org/wiki/Securit...
Whiteboard:
Depends On:
Blocks: CVE-2010-1311 CVE-2010-0098
TreeView+ depends on / blocked
 
Reported: 2010-04-08 18:41 UTC by Jan Lieskovsky
Modified: 2011-04-06 22:53 UTC (History)
5 users (show)

Fixed In Version: clamav-0.97-12.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 03:12:16 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-04-08 18:41:44 UTC
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #580464:
CVE-2010-0098 Clam AntiVirus (prior to v0.96): Anti-virus scanning functionality bypass via specially-crafted archive files
bug #580468:
CVE-2010-1311 Clam AntiVirus (prior to v0.96): Memory corruption by scanning Quantum-compressed file(s)

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=580464,580468

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs

Comment 1 Bug Zapper 2010-07-30 11:17:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Christoph Wickert 2010-12-29 17:40:52 UTC
clamav-0.96.1 was pushed to F14 August 19, 2010 and to F13 August 13, 2010. In rawhide it was available before. What about F12, which by that time was still a supported release?!

https://admin.fedoraproject.org/updates/clamav-0.96.1-1300.fc13
https://admin.fedoraproject.org/updates/clamav-0.96.1-1401.fc14

Comment 3 Fedora Update System 2011-03-04 01:09:38 UTC
Package clamav-0.97-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clamav-0.97-3.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/clamav-0.97-3.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-04 05:54:57 UTC
clamav-0.97-3.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/clamav-0.97-3.el6

Comment 5 Fedora Update System 2011-03-05 01:49:32 UTC
clamav-0.97-1400.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clamav-0.97-1400.fc14

Comment 6 Fedora Update System 2011-03-05 01:50:27 UTC
clamav-0.97-1500.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/clamav-0.97-1500.fc15

Comment 7 Fedora Update System 2011-03-05 01:51:31 UTC
clamav-0.97-1300.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/clamav-0.97-1300.fc13

Comment 8 Fedora Update System 2011-03-09 03:11:44 UTC
clamav-0.97-1500.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-10 16:30:37 UTC
clamav-0.97-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.97-3.el6

Comment 10 Fedora Update System 2011-03-13 21:17:37 UTC
clamav-0.97-1300.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-13 21:20:11 UTC
clamav-0.97-1400.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-15 14:36:41 UTC
clamav-0.97-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.97-9.el6

Comment 13 Fedora Update System 2011-03-15 14:37:25 UTC
clamav-0.97-9.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/clamav-0.97-9.el4

Comment 14 Fedora Update System 2011-03-15 14:38:18 UTC
clamav-0.97-9.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.97-9.el5

Comment 15 Fedora Update System 2011-03-18 09:11:36 UTC
clamav-0.97-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.97-11.el6

Comment 16 Fedora Update System 2011-03-18 09:12:24 UTC
clamav-0.97-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.97-11.el5

Comment 17 Fedora Update System 2011-03-18 09:13:08 UTC
clamav-0.97-11.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/clamav-0.97-11.el4

Comment 18 Fedora Update System 2011-03-26 18:57:25 UTC
clamav-0.97-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-03-26 18:59:56 UTC
clamav-0.97-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-03-30 10:47:05 UTC
clamav-0.97-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.97-12.el6

Comment 21 Fedora Update System 2011-03-30 10:47:57 UTC
clamav-0.97-12.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/clamav-0.97-12.el4

Comment 22 Fedora Update System 2011-03-30 10:48:45 UTC
clamav-0.97-12.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.97-12.el5

Comment 23 Fedora Update System 2011-04-06 22:52:21 UTC
clamav-0.97-12.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.